# -*- coding: utf-8 -*-
"""
Copyright (c) 2017 beyond-blockchain.org.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""
import logging


def get_logger(key="", logname="-", level="none"):

    LEVELS = { 'all': logging.NOTSET,
               'debug':logging.DEBUG,
               'info':logging.INFO,
               'warning':logging.WARNING,
               'error':logging.ERROR,
               'critical':logging.CRITICAL,
               'none': 99,
               }

    if logname == "-":
        logname = None

    logging.basicConfig(
        format='%(asctime)s| %(levelname)-8s| %(name)s| %(message)s',
        datefmt='%Y/%m/%d %H:%M:%S',
        filename=logname,
        level=LEVELS.get(level, logging.NOTSET),
    )

    return logging.getLogger(key)
